package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.DilCapacityTimes;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface DilCapacityTimesMapper extends IBaseMapper<DilCapacityTimes, BigDecimal> {

    @Select("select seq__Dil_CAPACITY_TIMES.nextval from dual")
    BigDecimal getDilCapacityTimesId();
}