package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsMaterialMapper extends IBaseMapper<RmsMaterial, BigDecimal> {


    //递增序列号
    @Select("SELECT seq_RMS_MATERIAL.nextval FROM dual")
    BigDecimal getMaterialId();

}